<div class="Counter-container">
    <div class="Counter__count">
        <span class="Counter__title mr-2">Count:</span>
        <span class="Counter__num">{{ count$ | async }}</span>
    </div>

    <div class="Counter__actions">
        <div class="Counter__actions-main">
            <button mat-button (click)="increment()">Increment</button>
            <button mat-button (click)="decrement()">Decrement</button>
            <button mat-button (click)="random()">Random</button>
        </div>

        <div class="Counter__actions-jump">
            <button mat-button (click)="jumpTo(jumpNumberFormControl.value)">Jump to:</button>
            <mat-form-field>
                <input matInput [formControl]="jumpNumberFormControl" />
            </mat-form-field>
        </div>
    </div>
</div>
